# SQL API Specifics

For SQL query limits and quotas per tier, see [Pricing](/pricing.md).

## Tables and schema discovery

While this documentation provides the tables' description it can always be generated by querying the table.

### List all available tables

```sql
SHOW tables from api
```

*Example Output:*

```
┌─name──────────────────────┐
│ market_future             │
│ market_option             │
│ market_spot               │
│ ohlcv                     │
│ trade                     │
└───────────────────────────┘

```

### Describe a table

```sql
DESCRIBE api.market_future
```

*Example Output:*

```
+------------------------+-----------------------+
|name                    |type                   |
+------------------------+-----------------------+
|exchange                |LowCardinality(String) |
|market_symbol           |Nullable(String)       |
|underlying_asset        |String                 |
|quote_asset             |String                 |
|settling_asset          |String                 |
|denomination_asset      |String                 |
|expiration              |Nullable(DateTime64(9))|
|contract_size           |Decimal(38, 18)        |
|contract_type           |String                 |
|future_type             |String                 |
|exchange_specific_symbol|String                 |
+------------------------+-----------------------+

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.koinju.io/sql-api-specifics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
